Bug 199868 - Firefox crashes when trying to display SVG
Firefox crashes when trying to display SVG
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
http://openclipart.org/clipart//geogr...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-23 13:19 EDT by Evert Verhellen
Modified: 2008-05-01 11:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 10:57:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evert Verhellen 2006-07-23 13:19:49 EDT
Description of problem:
Firefox crashes when trying to display an SVG image from the Open Clip Art Library.

Version-Release number of selected component (if applicable):
firefox-1.5.0.4-1.2.fc5
cairo-1.0.4-1

How reproducible:
Always.

Steps to Reproduce:
1. Start firefox.
2. Type in the following location in the address field:

   http://openclipart.org/clipart//geography/czech_republic_map_lumen_01.svg

3. Click "Go".
  
Actual results:
Crashes.

Expected results:
Shouldn't crash.

Additional info:
N/A
Comment 1 Joe Desbonnet 2007-02-10 12:35:06 EST
I've encountered the same problem with that latest Firefox on FC6:
firefox-1.5.0.9-2.fc6

In my case the offending SVG file is located here:
http://openclipart.org/people/liftarn/liftarn_White_horse.svg
Comment 2 Matěj Cepl 2007-07-18 13:31:52 EDT
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 3 Joe Desbonnet 2007-07-18 13:53:27 EDT
The SVG in the links mentioned above now appear to render without crash or
error. I'm using Firefox on up-to-date Fedora 7. 


Comment 4 Matěj Cepl 2007-08-28 10:57:07 EDT
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.

Note You need to log in before you can comment on or make changes to this bug.